corCompSymm {nlme} | R Documentation

## Compound Symmetry Correlation Structure

### Description

This function is a constructor for the `corCompSymm` class, representing a compound symmetry structure corresponding to uniform correlation. Objects created using this constructor must later be initialized using the appropriate `Initialize` method.

### Usage

    corCompSymm(value, form, fixed)

### Arguments

`value` | the correlation between any two correlated observations. Defaults to 0.
`form` | a one sided formula of the form `~ t`, or `~ t | g`, specifying a time covariate `t` and, optionally, a grouping factor `g`. When a grouping factor is present in `form`, the correlation structure is assumed to apply only to observations within the same grouping level; observations with different grouping levels are assumed to be uncorrelated. Defaults to `~ 1`, which corresponds to using the order of the observations in the data as a covariate, and no groups.
`fixed` | an optional logical value indicating whether the coefficients should be allowed to vary in the optimization, or kept fixed at their initial value. Defaults to `FALSE`, in which case the coefficients are allowed to vary.

### Value

an object of class `corCompSymm`, representing a compound symmetry correlation structure.

### Author(s)

Jose Pinheiro and Douglas Bates bates@stat.wisc.edu

### References

Milliken, G. A. and Johnson, D. E. (1992) "Analysis of Messy Data, Volume I: Designed Experiments", Van Nostrand Reinhold.

Pinheiro, J.C., and Bates, D.M. (2000) "Mixed-Effects Models in S and S-PLUS", Springer, esp. pp. 233-234.

### See Also

`corClasses`, `Initialize.corStruct`, `summary.corStruct`

### Examples

    ## covariate is observation order and grouping factor is Subject
    cs1 <- corCompSymm(0.5, form = ~ 1 | Subject)

    # Pinheiro and Bates, pp. 222-225
    fm1BW.lme <- lme(weight ~ Time * Diet, BodyWeight,
                       random = ~ Time)
    # p. 223
    fm2BW.lme <- update(fm1BW.lme, weights = varPower())
    # p. 225
    cs1CompSymm <- corCompSymm(value = 0.3, form = ~ 1 | Subject)
    cs2CompSymm <- corCompSymm(value = 0.3, form = ~ age | Subject)
    cs1CompSymm <- Initialize(cs1CompSymm, data = Orthodont)
    corMatrix(cs1CompSymm)

[Package nlme version 3.1-105 Index]